# $Revision: 1.68 $, $Date: 2012/06/21 18:47:54 $
Summary:	A remote desktop system for GNOME
Summary(pl.UTF-8):	System zdalnego pulpitu dla GNOME
Name:		vino
Version:	3.4.2
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vino/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	d397ec56c9a819b5893a5eae4f66b55d
URL:		http://www.gnome.org/
BuildRequires:	NetworkManager-devel >= 0.7
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	avahi-devel >= 0.6.18
BuildRequires:	avahi-glib-devel >= 0.6.18
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnutls-devel >= 2.2.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgcrypt-devel >= 1.2.0
BuildRequires:	libgnome-keyring-devel >= 2.26.0
BuildRequires:	libjpeg-devel
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.14.0
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires(post,postun):	glib2 >= 1:2.26.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
Vino is a VNC server for GNOME. It allows remote users to connect to a
running GNOME session using VNC.

%description -l pl.UTF-8
Vino to serwer VNC dla GNOME. Pozwala zdalnym użytkownikom na łączenie
się z działającą sesją GNOME przy użyciu VNC.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ipv6 \
	--disable-schemas-compile \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/TODO docs/remote-desktop.txt
%attr(755,root,root) %{_bindir}/vino-passwd
%attr(755,root,root) %{_bindir}/vino-preferences
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/vino-server
%dir %{_datadir}/vino
%{_datadir}/vino/vino-preferences.ui
%{_datadir}/vino/vino-prompt.ui
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vino.service
%{_datadir}/telepathy/clients/Vino.client
%{_datadir}/vino/webservices
%{_sysconfdir}/xdg/autostart/vino-server.desktop
%{_desktopdir}/vino-preferences.desktop
%{_datadir}/GConf/gsettings/org.gnome.Vino.convert
%{_datadir}/glib-2.0/schemas/org.gnome.Vino.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Vino.gschema.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vino.spec,v $
Revision 1.68  2012/06/21 18:47:54  megabajt
- updated to 3.4.2

Revision 1.67  2012/04/18 20:05:39  megabajt
- updated to 3.4.1

Revision 1.66  2012/03/30 11:51:20  megabajt
- updated to 3.4.0

Revision 1.65  2012/02/13 14:27:23  lisu
- up to 3.2.2

Revision 1.64  2011/10/23 09:52:57  wiget
- up to 3.2.1

Revision 1.63  2011/09/30 18:51:17  wiget
- merge from DEVEL

Revision 1.62.2.2  2011/09/30 18:50:54  wiget
- up to 3.2.0

Revision 1.62.2.1  2011/09/07 18:47:53  wiget
- up to 3.1.91

Revision 1.62  2011/08/31 06:58:13  arekm
- release 2

Revision 1.61  2011/07/15 18:43:23  megabajt
- updated to 3.0.3

Revision 1.60  2011/05/04 17:36:25  marti
- security fix for CVE-2011-0904 and CVE-2011-0905

Revision 1.59  2011/04/26 10:42:29  megabajt
- updated to 3.0.1

Revision 1.58  2011/04/07 11:32:41  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.57.2.4  2011/03/26 20:27:03  megabajt
- updated to 2.99.5

Revision 1.57.2.3  2011/03/21 21:47:33  megabajt
- updated to 2.99.4
- removed obsolete configure options

Revision 1.57.2.2  2011/03/07 21:50:51  wiget
- up to 2.99.3

Revision 1.57.2.1  2011/02/21 23:49:06  wiget
- updated to 2.99.0

Revision 1.57  2011/01/14 21:25:12  megabajt
- updated to 2.32.1

Revision 1.56  2010/09/30 13:34:16  megabajt
- updated to 2.32.0

Revision 1.55  2010/05/13 16:52:46  sparky
- replaced BR: gnome-keyring-devel with BR: libgnome-keyring-devel

Revision 1.54  2010/04/02 17:14:40  megabajt
- updated to 2.28.2

Revision 1.53  2010/01/29 19:38:38  sparky
- BR: xorg-lib-libICE-devel, xorg-lib-libSM-devel

Revision 1.52  2010/01/29 07:50:17  amateja
- release 2

Revision 1.51  2009/12/25 13:58:45  megabajt
- updated to 2.28.1

Revision 1.50  2009/09/26 21:22:39  qwiat
- updated to 2.28.0
- removed obsolete patch

Revision 1.49  2009/08/08 19:12:03  hawk
- fix building with gnutls 2.8.x

Revision 1.48  2009/07/12 13:25:48  arekm
- release 2

Revision 1.47  2009/05/19 20:41:17  megabajt
- updated to 2.26.2

Revision 1.46  2009/04/13 22:00:06  megabajt
- updated to 2.26.1
- removed -configure.patch (applied upstream)

Revision 1.45  2009/04/04 23:26:03  patrys
- unique -> libunique

Revision 1.44  2009/03/18 17:16:41  patrys
- 2.26.0

Revision 1.43  2008/10/20 16:34:54  megabajt
- updated to 2.24.1

Revision 1.42  2008/10/04 20:10:12  qwiat
- merge from DEVEL

Revision 1.41.2.3  2008/10/04 20:09:17  qwiat
- up to 2.24

Revision 1.41.2.2  2008/09/13 10:47:00  patrys
- 2.23.92
- patch0 applied upstream

Revision 1.41.2.1  2008/07/23 11:32:34  patrys
- 2.23.5

Revision 1.41  2008/06/11 15:51:25  hawk
- release 2

Revision 1.40  2008-06-01 07:36:01  adamg
- updated to 2.22.2

Revision 1.39  2008-05-15 20:57:30  megabajt
- more verbose files
- cleanup

Revision 1.38  2008-04-11 22:26:07  sls
- ver. 2.22.1

Revision 1.37  2008-03-12 14:21:55  patrys
- 2.22.0

Revision 1.36  2008-01-17 00:07:19  glen
- rel 4

Revision 1.35  2007-12-12 22:58:02  patrys
- rel 3

Revision 1.34  2007-12-12 22:56:28  patrys
- enable avahi and sessions

Revision 1.33  2007-11-10 16:20:07  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.32  2007/10/16 19:22:00  megabajt
- updated to 2.20.1

Revision 1.31  2007/09/17 13:14:36  patrys
- 2.20.0

Revision 1.30.2.2  2007/09/08 23:52:52  aflinta
- up to 2.19.92

Revision 1.30.2.1  2007/08/29 03:20:20  patrys
- 2.19.90

Revision 1.30  2007/04/09 18:51:44  megabajt
- updated to 2.18.1

Revision 1.29  2007/03/14 08:05:38  megabajt
- updated to 2.18.0

Revision 1.28  2007/02/23 19:06:33  megabajt
- used %update_icon_cache macro

Revision 1.27  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.25  2006/10/05 22:17:50  grzegol
- package ug lang files (languages added in glibc-2.5)

Revision 1.24  2006/10/05 14:37:23  grzegol
- 2.16.0

Revision 1.23  2006/08/10 20:05:05  patrys
- make it build with --as-needed

Revision 1.22  2006/05/27 00:20:13  qboosh
- merged deps update from AC-branch

Revision 1.20.4.2  2006/05/18 22:19:42  baggins
- release 3
- strict reqs

Revision 1.20.4.1  2006/05/15 17:43:37  baggins
- merged from HEAD

Revision 1.21  2006/04/02 15:31:27  freetz
- merged from DEVEL

Revision 1.20.2.2  2006/03/15 20:56:08  patrys
- updated libtasn

Revision 1.20.2.1  2006/02/01 22:31:38  freetz
- 2.13.5

Revision 1.20  2005/09/06 19:41:13  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.18.2.4  2005/08/22 19:32:19  aflinta
- version 2.11.92

Revision 1.18.2.3  2005/08/18 12:07:20  aflinta
- rebuild with caito, rel. 2

Revision 1.18.2.2  2005/07/28 17:36:50  freetz
- 2.11.90

Revision 1.18.2.1  2005/07/04 21:35:36  freetz
- 2.11.1.2
